export const state = () => ({
  json: {},
  version: -1,
  user: undefined,
  gameinfo: undefined,
})

export const mutations = {
  setJson(state, json) {
    state.json = json
    state.version = parseInt(json.version, 10)
  },
  setVersion(state, version) {
    state.version = version
  },
  setUser(state, user) {
    state.user = user
  },
  setGameinfo(state, gameinfo) {
    state.gameinfo = gameinfo
  }
}
