package handler

import (
	"fmt"
	"net/http"
	"os"
	"time"
)

func Exit(_ http.ResponseWriter, _ *http.Request) {
	os.Exit(0)
}

func CreateVersionHandler() HandlerFunc {
	startTime := time.Now().Unix()
	return func(w http.ResponseWriter, r *http.Request) {
		fmt.Fprintf(w, "%d\n", startTime)
	}
}
