package syncdata

type PlayerInfo struct {
	Id     string `json:"id"`
	Name   string `json:"name"`
	Active bool   `json:"active"`
}

type Gameinfo struct {
	Players []PlayerInfo `json:"players"`
}

type SyncData struct {
	VersionRef int       `json:"version"`
	Gameinfo   *Gameinfo `json:"game"`
}
